- name: pkg update
  tags: pkg-upgrade
  become: yes
  community.general.pkgng:
    name: "*"
    state: latest

- name: pkg_firmware_update
  shell: /usr/local/opnsense/scripts/firmware/update.sh
  register: sw_result
#  async: 1
#  poll: 0
  changed_when: "'***REBOOT***' in sw_result"
  ignore_unreachable: true
  failed_when: false

- name: pkg_firmware_upgrade
  shell: /usr/local/opnsense/scripts/firmware/upgrade.sh
  register: sw_result
#  async: 1
#  poll: 0
  changed_when: "'Shutdown NOW!' in sw_result"
  ignore_unreachable: true
  failed_when: false

- name: Wait for the reboot to complete if there was a change.
  wait_for_connection:
    connect_timeout: 200
    sleep: 5
    delay: 5
    timeout: 300

- name: Check the Uptime of the servers
  shell: "uptime"
  register: Uptime
  changed_when: false

- debug: var=Uptime
